Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.security
Class SecurityClassMetaDataLoader

    java.lang.Object
      org.jboss.aspects.security.SecurityClassMetaDataLoader

All Implemented Interfaces:
  org.jboss.aop.metadata.ClassMetaDataLoader

public class SecurityClassMetaDataLoader
extends Object
implements org.jboss.aop.metadata.ClassMetaDataLoader

This interceptor handles authentication creation and the initial population of class metadata

Version:
  $Revision: 1.3.2.1 $
Author:
  Bill Burke

Constructor Summary
`SecurityClassMetaDataLoader()`

Method Summary
`void` | `bind(org.jboss.aop.ClassAdvisor advisor, org.jboss.aop.metadata.ClassMetaDataBinding data, javassist.CtMethod[] methods, javassist.CtField[] fields, javassist.CtConstructor[] constructors)` This is minimal stuff as Instrumentor requires that ClassMetadata be bound at least at the group level for every class, method, field, and constructor so that annotated joinpoints can be done
`void` | `bind(org.jboss.aop.ClassAdvisor advisor, org.jboss.aop.metadata.ClassMetaDataBinding data, Method[] methods, Field[] fields, Constructor[] constructors)`
`Set` | `getConstructorPermissions(Constructor constructor, SecurityClassMetaDataBinding meta)`
`boolean` | `getConstructorPermissions(javassist.CtConstructor constructor, SecurityClassMetaDataBinding meta)`
`boolean` | `getFieldPermissions(javassist.CtField field, SecurityClassMetaDataBinding meta)`
`Set` | `getFieldPermissions(Field field, SecurityClassMetaDataBinding meta)`
`boolean` | `getMethodPermissions(javassist.CtMethod method, SecurityClassMetaDataBinding meta)` Remember we only need to map in the "security" group tag for annotated joinpoint resolution
`Set` | `getMethodPermissions(Method method, SecurityClassMetaDataBinding meta)`
`org.jboss.aop.metadata.ClassMetaDataBinding` | `importMetaData(Element element, String name, String group, String classExpr)`
`protected ArrayList` | `loadConstructorExcludeList(Element assemblyDescriptor)`
`protected ArrayList` | `loadConstructorPermissions(Element assemblyDescriptor)`
`protected ArrayList` | `loadFieldExcludeList(Element assemblyDescriptor)`
`protected HashMap` | `loadFieldPermissions(Element assemblyDescriptor)`
`protected ArrayList` | `loadMethodExcludeList(Element assemblyDescriptor)`
`protected ArrayList` | `loadMethodPermissions(Element assemblyDescriptor)`
`protected String` | `loadRunAs(Element element)`
`protected ArrayList` | `loadSecurityRoles(Element assemblyDescriptor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecurityClassMetaDataLoader

    public SecurityClassMetaDataLoader()

Method Detail

### importMetaData

    public org.jboss.aop.metadata.ClassMetaDataBinding importMetaData(Element element,
                                                                      String name,
                                                                      String group,
                                                                      String classExpr)
                                                               throws Exception

  Specified by:
    `importMetaData` in interface `org.jboss.aop.metadata.ClassMetaDataLoader`
  Throws:
    `Exception`

### bind

    public void bind(org.jboss.aop.ClassAdvisor advisor,
                     org.jboss.aop.metadata.ClassMetaDataBinding data,
                     Method[] methods,
                     Field[] fields,
                     Constructor[] constructors)
              throws Exception

  Specified by:
    `bind` in interface `org.jboss.aop.metadata.ClassMetaDataLoader`
  Throws:
    `Exception`

### getMethodPermissions

    public Set getMethodPermissions(Method method,
                                    SecurityClassMetaDataBinding meta)

### getFieldPermissions

    public Set getFieldPermissions(Field field,
                                   SecurityClassMetaDataBinding meta)

### loadRunAs

    protected String loadRunAs(Element element)
                        throws Exception

  Throws:
    `Exception`

### loadSecurityRoles

    protected ArrayList loadSecurityRoles(Element assemblyDescriptor)
                                   throws Exception

  Throws:
    `Exception`

### loadMethodPermissions

    protected ArrayList loadMethodPermissions(Element assemblyDescriptor)
                                       throws Exception

  Throws:
    `Exception`

### loadMethodExcludeList

    protected ArrayList loadMethodExcludeList(Element assemblyDescriptor)
                                       throws Exception

  Throws:
    `Exception`

### loadFieldPermissions

    protected HashMap loadFieldPermissions(Element assemblyDescriptor)
                                    throws Exception

  Throws:
    `Exception`

### loadFieldExcludeList

    protected ArrayList loadFieldExcludeList(Element assemblyDescriptor)
                                      throws Exception

  Throws:
    `Exception`

### loadConstructorPermissions

    protected ArrayList loadConstructorPermissions(Element assemblyDescriptor)
                                            throws Exception

  Throws:
    `Exception`

### loadConstructorExcludeList

    protected ArrayList loadConstructorExcludeList(Element assemblyDescriptor)
                                            throws Exception

  Throws:
    `Exception`

### getConstructorPermissions

    public Set getConstructorPermissions(Constructor constructor,
                                         SecurityClassMetaDataBinding meta)

### bind

    public void bind(org.jboss.aop.ClassAdvisor advisor,
                     org.jboss.aop.metadata.ClassMetaDataBinding data,
                     javassist.CtMethod[] methods,
                     javassist.CtField[] fields,
                     javassist.CtConstructor[] constructors)
              throws Exception

  This is minimal stuff as Instrumentor requires that ClassMetadata be bound at least at the group level for every class, method, field, and constructor so that annotated joinpoints can be done

  Specified by:
    `bind` in interface `org.jboss.aop.metadata.ClassMetaDataLoader`
  Parameters:
    `advisor` -
    `data` -
    `methods` -
    `fields` -
    `constructors` -
  Throws:
    `Exception`

### getMethodPermissions

    public boolean getMethodPermissions(javassist.CtMethod method,
                                        SecurityClassMetaDataBinding meta)
                                 throws Exception

  Remember we only need to map in the "security" group tag for annotated joinpoint resolution

  Parameters:
    `method` -
    `meta` -
  Returns:
  Throws:
    `Exception`

### getFieldPermissions

    public boolean getFieldPermissions(javassist.CtField field,
                                       SecurityClassMetaDataBinding meta)

### getConstructorPermissions

    public boolean getConstructorPermissions(javassist.CtConstructor constructor,
                                             SecurityClassMetaDataBinding meta)
                                      throws javassist.NotFoundException

  Throws:
    `javassist.NotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.